GetCameras API

The GetCameras API is used to retrieve all configured camera models in the current room configuration.

Syntax

  • HTTP Method: POST
  • Base URI: /api/GetCameras

Parameters

Parameter Content Type: Application/JSON

No parameters are required for this API call.

Responses

Response Content Type: Application/JSON

Copy

cURL Base Command

curl -v -H "Content-Type: application/json" -H "Authorization: [Token]" -X POST --data "" https://[Server URL]:4443/api/GetCameras

 

Copy
Example cURL Command
curl -v -H "Content-Type: application/json" -H "Authorization: 1234567890" -X POST --data "" https://123.456.789.000:4443/api/GetCameras

 

Copy

Request URL

https://[ServerURL]:4443/api/GetCameras

 

Response Messages

Result Message
Success
Copy
{
    "status": "OK",
    "message": "cameras loaded successfully",
    "cameras": [
        {
            "id": "[value]",
            "name": "[model name]",
            "ip": "[ip address]"
        }
    ]
}
Error
Copy
{
    "status": "Error",
    "err": "[Reason for error]"
}